/*
** Copyright (C) 2003-2005 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef INCLUDED_BIBLETIME_H
#define INCLUDED_BIBLETIME_H


#include "libraries.h"
#include <glib.h>
#include <gtk/gtk.h>


class BibleTime
{
public:
  BibleTime (bool dummy);
  virtual ~BibleTime ();
  virtual void clear ();
  virtual void connect ();
  virtual void tick ();
  virtual void disconnect (bool message = true);
  virtual void sendreference (const string& book, const string& chapter, const string& verse);
private:
  bool connected;
  int stage;
  string bibledit_dcop_name;
  virtual void runstages ();
  bool run_stages;
  bool stages_running;
  virtual void log (const string & message);
  virtual void reconnect ();
};


#endif
