/*
** Copyright (C) 2003-2005 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef INCLUDED_CONFIGURATION_H
#define INCLUDED_CONFIGURATION_H


#include "libraries.h"
#include <gtk/gtk.h>


string synchronization_paths_filename ();


class Configuration
{
  // Manages stored program settings.
public:
  Configuration (GtkWindow *window);
  ~Configuration ();
  string edit_note_standard_text_one;
  string edit_note_standard_text_two;
  string edit_note_standard_text_three;
  int window_width;
  int window_height;
  int window_x_position;
  int window_y_position;
  int hpane_position;
  int vpane_position;
  string book_opened;
  string chapter_opened;
  string verse_opened;
  string edit_note_standard_text_four;
  bool searchspecial_containword;
  string find_searchword;
  string find_replaceword;
  string references_file;
  bool companion_enabled;
  bool bibletime_enabled;
  string export_to_bibleworks_filename;
  string editor_font_name;
  string import_references_searchword;
  string project;
  bool case_sensitive_search;
  string paper_format;
  double paper_width;
  double paper_height;
  double paper_left_margin;
  double paper_right_margin;
  double paper_top_margin;
  double paper_bottom_margin;
  string java_home;
  bool printcoverpage;
  string fop_home;
  bool printdate;
  bool print_changes_only;
  string project_to_compare_with;
private:
  string bibleditrc ();
  int screen_width;
  int screen_height;
  bool screen_resolution_changed;
};


#endif
