/*
** Copyright (C) 2003-2005 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/


#include "libraries.h"
#include "dialogbibletime.h"


BibletimeDialog::BibletimeDialog (Configuration * configuration)
{
  // Save variabeles.
  myconfiguration = configuration;

  bibletimedialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (bibletimedialog), "BibleTime");
  gtk_window_set_position (GTK_WINDOW (bibletimedialog), GTK_WIN_POS_CENTER_ON_PARENT);
  gtk_window_set_modal (GTK_WINDOW (bibletimedialog), TRUE);

  dialog_vbox1 = GTK_DIALOG (bibletimedialog)->vbox;
  gtk_widget_show (dialog_vbox1);

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox1);
  gtk_box_pack_start (GTK_BOX (dialog_vbox1), vbox1, TRUE, TRUE, 0);

  label1 = gtk_label_new ("Bibledit can work together with BibleTime.\nThis causes BibleTime to scroll together with Bibledit\nand gives access to some of its functions.");
  gtk_widget_show (label1);
  gtk_box_pack_start (GTK_BOX (vbox1), label1, FALSE, FALSE, 10);
  gtk_misc_set_alignment (GTK_MISC (label1), 0, 0.5);

  checkbutton1 = gtk_check_button_new_with_mnemonic ("Use BibleTime");
  gtk_widget_show (checkbutton1);
  gtk_box_pack_start (GTK_BOX (vbox1), checkbutton1, FALSE, FALSE, 0);
  // Set the checkbutton.
  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbutton1), configuration->bibletime_enabled);

  dialog_action_area1 = GTK_DIALOG (bibletimedialog)->action_area;
  gtk_widget_show (dialog_action_area1);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area1), GTK_BUTTONBOX_END);

  cancelbutton = gtk_button_new_from_stock ("gtk-cancel");
  gtk_widget_show (cancelbutton);
  gtk_dialog_add_action_widget (GTK_DIALOG (bibletimedialog), cancelbutton, GTK_RESPONSE_CANCEL);
  GTK_WIDGET_SET_FLAGS (cancelbutton, GTK_CAN_DEFAULT);

  okbutton = gtk_button_new_from_stock ("gtk-ok");
  gtk_widget_show (okbutton);
  gtk_dialog_add_action_widget (GTK_DIALOG (bibletimedialog), okbutton, GTK_RESPONSE_OK);
  GTK_WIDGET_SET_FLAGS (okbutton, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) okbutton, "clicked", G_CALLBACK (on_okbutton_clicked_activate), gpointer (this));

  gtk_widget_grab_focus (checkbutton1);
  gtk_widget_grab_default (okbutton);
}


BibletimeDialog::~BibletimeDialog ()
{
  gtk_widget_destroy (bibletimedialog);
}


int BibletimeDialog::run ()
{
  return gtk_dialog_run (GTK_DIALOG (bibletimedialog));
}


void
BibletimeDialog::on_okbutton_clicked_activate (GtkButton * button, gpointer user_data)
{
  ((BibletimeDialog *) user_data)->on_okbutton_clicked ();
}


void
BibletimeDialog::on_okbutton_clicked ()
{
  myconfiguration->bibletime_enabled = gtk_toggle_button_get_active (GTK_TOGGLE_BUTTON (checkbutton1));
}
