/*
** Copyright (C) 2003-2005 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef INCLUDED_DIALOGSTYLESHEET_H
#define INCLUDED_DIALOGSTYLESHEET_H


#include <gtk/gtk.h>
#include "configuration.h"


#define TEMPORAL_STYLESHEET "__temporal_stylesheet__"


class StylesheetDialog
{
public:
  StylesheetDialog (const string& name);
  virtual ~ StylesheetDialog ();
  virtual int run ();
protected:
  string sheetname;
  string currentmarker;
private:
  GtkWidget *stylesheetdialog;
  GtkWidget *dialog_vbox1;
  GtkWidget *vbox1;
  GtkWidget *vbox2;
  GtkWidget *hbox1;
  GtkWidget *label6;
  GtkWidget *combo_style;
  GtkWidget *combo_entry_style;
  GtkWidget *button_new;
  GtkWidget *button_delete;
  GtkWidget *infolabel;
  GtkWidget *hseparator1;
  GtkWidget *label21;
  GtkWidget *vbox3;
  GtkWidget *radiobutton_id;
  GtkWidget *radiobutton_comment;
  GtkWidget *radiobutton_runningheader;
  GtkWidget *radiobutton_paragraph;
  GtkWidget *radiobutton_inline;
  GtkWidget *radiobutton_chapter;
  GtkWidget *radiobutton_verse;
  GtkWidget *hseparator2;
  GtkWidget *notebookfontsize;
  GtkWidget *hbox2;
  GtkWidget *label8;
  GtkObject *spinbuttonfontsize_adj;
  GtkWidget *spinbuttonfontsize;
  GtkWidget *label9;
  GtkWidget *label22;
  GtkWidget *empty_notebook_page;
  GtkWidget *label23;
  GtkWidget *hbox5;
  GtkWidget *notebook_italics_bold;
  GtkWidget *hbox3;
  GtkWidget *checkbutton_italics;
  GtkWidget *checkbutton_bold;
  GtkWidget *label24;
  GtkWidget *label25;
  GtkWidget *notebook_superscript;
  GtkWidget *checkbutton_superscript;
  GtkWidget *label28;
  GtkWidget *label29;
  GtkWidget *notebook_paragraph;
  GtkWidget *vbox4;
  GtkWidget *hbox4;
  GtkWidget *label10;
  GtkWidget *radiobutton_left;
  GtkWidget *radiobutton_center;
  GtkWidget *radiobutton_right;
  GtkWidget *radiobutton_full;
  GtkWidget *table1;
  GtkWidget *label11;
  GtkWidget *label12;
  GtkWidget *label13;
  GtkWidget *label14;
  GtkWidget *label15;
  GtkWidget *label16;
  GtkWidget *label17;
  GtkWidget *label18;
  GtkWidget *label19;
  GtkWidget *label20;
  GtkObject *spinbutton_first_adj;
  GtkWidget *spinbutton_first;
  GtkObject *spinbutton_before_adj;
  GtkWidget *spinbutton_before;
  GtkObject *spinbutton_after_adj;
  GtkWidget *spinbutton_after;
  GtkObject *spinbutton_left_adj;
  GtkWidget *spinbutton_left;
  GtkObject *spinbutton_right_adj;
  GtkWidget *spinbutton_right;
  GtkWidget *checkbutton_span;
  GtkWidget *label26;
  GtkWidget *label27;
  GtkWidget *dialog_action_area1;
  GtkWidget *cancelbutton1;
  GtkWidget *okbutton;
  static void on_combo_entry_style_changed (GtkEditable *editable, gpointer user_data);
  virtual void on_combo_entry_style ();
  static void on_button_new_clicked (GtkButton *button, gpointer user_data);
  virtual void on_new();
  static void on_button_delete_clicked (GtkButton *button, gpointer user_data);
  virtual void on_delete();
  static void on_okbutton_clicked (GtkButton *button, gpointer user_data);
  virtual void on_ok();
  static void on_style_type_toggled (GtkToggleButton *togglebutton, gpointer user_data);
  virtual void on_style_type ();
  virtual void load_styles (const string& select);
  virtual void save_style ();
  virtual void set_justification (const string& justification);
  virtual string get_justification ();
};


#endif
