/*
** Copyright (C) 2003-2005 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef INCLUDED_XMLFO_UTILS_H
#define INCLUDED_XMLFO_UTILS_H


#include "libraries.h"
#include <glib.h>
#include <gtk/gtk.h>
#include "ustring.h"
#include "configuration.h"


class XmlFoRoot
{
public:
  XmlFoRoot (vector<ustring> * lines, const string& font);
  ~XmlFoRoot ();
private:
  vector<ustring> * mylines;
};


class XmlFoLayoutMasterSet
{
public:
  XmlFoLayoutMasterSet (vector<ustring> * lines, Configuration * configuration, bool twocolumns);
  ~XmlFoLayoutMasterSet ();
private:
};


class XmlFoPageSequence
{
public:
  XmlFoPageSequence (vector<ustring> * lines);
  ~XmlFoPageSequence ();
private:
  vector<ustring> * mylines;
};


class XmlFoStaticContent
{
public:
  XmlFoStaticContent (vector<ustring> * lines, Configuration * configuration);
  ~XmlFoStaticContent ();
private:
};


class XmlFoFlow
{
public:
  XmlFoFlow (vector<ustring> * lines);
  ~XmlFoFlow ();
private:
  vector<ustring> * mylines;
};


class XmlFoBlock
{
public:
  XmlFoBlock (vector<ustring> * lines, double fontsize,
              bool italics, bool bold, string justification,
              double spacebefore, double spaceafter,
              double leftmargin, double rightmargin,
              double firstlineindent, bool spancolumns);
  ~XmlFoBlock ();
private:
  vector<ustring> * mylines;
};


ustring XmlFoInlineText (const ustring& line, double fontsize, bool italics, bool bold, bool superscript);


#endif
